API ReferenceStage
Update stage
Update stage
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
id*string
Stage identifier
The updated Stage resource
TypeScript Definitions
Use the request body type in TypeScript.
name?string
Length
length <= 100description?|
Length
length <= 100000isBlameableRemovalEnabled?boolean
stageType?|
Format
uuiddateStart?string
Format
date-timedateEnd?string
Format
date-timeResponse Body
curl -X PATCH "https://example.com/project/stages/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "status": "in-preparation", "description": "string", "dateStart": "2019-08-24T14:15:22Z", "dateEnd": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "progress": 0, "weight": 0, "timePlanned": 0, "timeReported": 0, "isBlameableRemovalEnabled": false, "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2", "projectName": "string", "stageType": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "decorator": "#78909c" }, "canManage": false, "boardCount": null}